## com.google.appengine.api.prospectivesearch
Enum FieldType

    java.lang.Object
      java.lang.Enum<FieldType>
          com.google.appengine.api.prospectivesearch.FieldType

All Implemented Interfaces:
  java.io.Serializable, java.lang.Comparable<FieldType>

    public enum FieldType

extends java.lang.Enum<FieldType>

Type identifiers for describing document schemas.

Enum Constant Summary
`BOOLEAN`
`DOUBLE`
`INT32`
`STRING`
`TEXT`

Method Summary
`static FieldType` `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static FieldType[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### BOOLEAN

    public static final FieldType BOOLEAN

### DOUBLE

    public static final FieldType DOUBLE

### INT32

    public static final FieldType INT32

### STRING

    public static final FieldType STRING

### TEXT

    public static final FieldType TEXT

Method Detail

### values

    public static FieldType[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (FieldType c : FieldType.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static FieldType valueOf(java.lang.String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
    `java.lang.NullPointerException` - if the argument is null